org.apache.ignite.internal.processors.cache.query

## Class QueryEntityIndexDescriptor

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.QueryEntityIndexDescriptor

All Implemented Interfaces:
  GridQueryIndexDescriptor

    public class QueryEntityIndexDescriptor
    extends Object
    implements GridQueryIndexDescriptor

Index descriptor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addField(String field, int orderNum, boolean descending)` Adds field to this index.
`boolean` `descending(String field)` Specifies order of the index for each indexed field.
`Collection<String>` `fields()` Gets all fields to be indexed.
`int` `inlineSize()` Gets inline size for SORTED index.
`String` `name()`
`String` `toString()`
`QueryIndexType` `type()` Gets index type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### name

    public String name()

Specified by:
  `name` in interface `GridQueryIndexDescriptor`
Returns:
  Name.

#### fields

    public Collection<String> fields()

Gets all fields to be indexed.

Specified by:
  `fields` in interface `GridQueryIndexDescriptor`
Returns:
  Fields to be indexed.

#### descending

    public boolean descending(String field)

Specifies order of the index for each indexed field.

Specified by:
  `descending` in interface `GridQueryIndexDescriptor`
Parameters:
  `field` - Field name.
Returns:
  `True` if given field should be indexed in descending order.

#### addField

    public void addField(String field,
                         int orderNum,
                         boolean descending)

Adds field to this index.

Parameters:
  `field` - Field name.
  `orderNum` - Field order number in this index.
  `descending` - Sort order.

#### type

    public QueryIndexType type()

Gets index type.

Specified by:
  `type` in interface `GridQueryIndexDescriptor`
Returns:
  Type.

#### inlineSize

    public int inlineSize()

Gets inline size for SORTED index.

Specified by:
  `inlineSize` in interface `GridQueryIndexDescriptor`
Returns:
  Inline size.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021